
/**
 * Berechnung einer Naeherung der Quadratwurzel einer Zahl mit einer Folge nach
 * dem Heronverfahren. 
 * 
 * @author Wolfgang Runte
 * @version 07.12.2010
 */
public class SqrtHeron {

    /**
     * Berechnung einer Naeherung der Quadratwurzel einer Zahl mit einer Folge
     * nach dem Heronverfahren.
     * 
     * @param zahl eine Zahl, von der die Quadratwurzel berechnet werden soll
     * @return Quadratwurzel zur uebergebenen Zahl, -1 fuer Eingaben < 0
     */
    public static double sqrtHeron(double zahl) {
        // Schranke, vordefiniert fuer einstellige Zahl
        double epsilon = 1e-15;
        // max. Anzahl Folgenglieder
        final int MAXIMUM = 100000;
        // aktuelles Folgenglied
        double x = 0;
        // Folgengliednummer
        int zaehler = 1;

        // liefere -1 fuer Eingaben < 0
        if (zahl < 0) {
            x = -1;
        }

        // zahl <= 0 laesst sich nicht berechnen
        if (zahl > 0) {
            // aktuelles Folgenglied mit uebergebenen Zahl initialisieren
            x = zahl;

            // Kopie der uebergebenen Zahl erstellen
            double kopie = zahl;

            // Berechnung der Schranke
            do {
                // solange 'kopie' noch mehr als eine Stelle vor dem Komma hat
                // ziehe eine Stelle ab...
                kopie = kopie / 10;
                // ... und multipliziere Schranke mit 10
                epsilon = epsilon * 10;
            } while (kopie > 1);

            // Berechnung der Quadratwurzel
            do {
                // naechstes Folgenglied berechnen
                x = (x + zahl / x) / 2.0;
                zaehler++;
            } while (zaehler < MAXIMUM && Math.abs(x * x - zahl) >= epsilon);
        }
        return x;
    }
}
