#!/bin/bash
# Macht ein 'diff' einer im aktuellen Verzeichnis vorhandenen Datei
# 'blatt_test.tex' mit den entsprechenden Dateien in allen
# Unterverzeichnissen.
#
# Gedacht zur Ueberpruefung, welche der 'blatt_test.tex'-Dateien in
# den einzelnen Aufgabenverzeichnissen modifiziert wurden (z.B. muss
# fuer einzelne Aufgaben das Paket 'longtable' eingebunden werden).
#
# Fuer den Fall, dass in einem Unterverzeichnis eine entsprechende
# Datei nicht existiert, wird eine Fehlermeldung ausgegeben.
#
# Dieses Skript sollte unbedingt ausgefuehrt werden, bevor die
# Verteilung einer geaenderten Vorlage 'blatt_test.tex' mit dem Skript
# 'kopiere_blatt_test.sh" vorgenommen wird.
#

#for i in *; do
for i in $( ls ); do
  if test -d $i; then
    echo testing: $i/blatt_test.tex
    diff ./blatt_test.tex $i/blatt_test.tex
  fi
done

