#!/bin/bash
# Kopiert eine im aktuellen Verzeichnis vorhandene Datei
# 'blatt_test.tex' in alle Unterverzeichnisse.
#
# Gedacht zur einfachen Verteilung der Vorlage auf die einzelnen
# Aufgabenverzeichnisse fuer den Fall, dass sich an der Vorlage etwas
# Grundlegendes aendern sollte.
#
# Vorsicht:
# 1. einzelne Aufgabenverzeichnisse enthalten die Datei bewusst nicht
# 2. fuer einzelne Aufgaben musste die jeweilige 'blatt_test.tex'
#    angepasst werden (benoetigt z.B. das Paket 'longtable')
#
# Vor Ausfuehrung dieses Skripts sollte daher unbedingt das Skript
# 'diff_blatt_test.sh' (im selben Verzeichnis) ausgefuehrt werden um
# zu ueberpruefen, welche Dateien modifiziert wurden. Diese koennen
# dann vor Ausfuehren dieser Skriptdatei kopiert werden. Nachdem
# dieses Skript ausgefuehrt wurde, koennen in die betroffenen neuen
# Kopien der geanderten Vorlage anschliessend die Modifikationen der
# alten Kopie eingearbeitet werden.
#

#for i in *; do
for i in $( ls ); do
  if test -d $i; then
    cp ./blatt_test.tex $i
    echo copied in: $i
  fi
done

